/**
 * main.c
 * @author:
 * uP2 - Fall 2022
 */

// Required headers and definitions
#include <stdint.h>
#include "inc/tm4c123gh6pm.h"

#define DELAY_VALUE 200000

void Delay(void);

// main function
int main(void)
{
    SYSCTL_RCGCGPIO_R |= SYSCTL_RCGC2_GPIOF; //enable clock for PORTF

    // enable GPIO PIN for red led set direction as output
    GPIO_PORTF_DIR_R  |= 0x02;
    GPIO_PORTF_DEN_R  |= 0x02;
    // enable GPIO PIN for blue led set direction as output
    GPIO_PORTF_DIR_R  |= 0x04;
    GPIO_PORTF_DEN_R  |= 0x04;
    // enable GPIO PIN for green led set direction as output
    GPIO_PORTF_DIR_R  |= 0x08;
    GPIO_PORTF_DEN_R  |= 0x08;

    while(1)
    {
        GPIO_PORTF_DATA_R |= 0x02;      // Turn on Red LED
        Delay();                        // Delay
        GPIO_PORTF_DATA_R = 0x00;       //Turn  off

        GPIO_PORTF_DATA_R |= 0x04;      // Turn on Blue LED
        Delay();                        // Delay
        GPIO_PORTF_DATA_R = 0x00;       //Turn  off

        GPIO_PORTF_DATA_R |= 0x08;      // Turn on Blue LED
        Delay();                        // Delay
        GPIO_PORTF_DATA_R = 0x00;       //Turn  off
        Delay();                        //Delay almost 1 sec
    }
}

// Custom delay function
void Delay(void)
{
    volatile unsigned long i;
    for(i=0;i<DELAY_VALUE;i++);
}
